Loading...
Searching...
No Matches
l4util_l4mod_info Struct Reference

Base module structure. More...

`#include <l4mod.h>`

Collaboration diagram for l4util_l4mod_info:

## Data Fields

l4_uint64_t | flags
| Flags.
l4_uint64_t | cmdline
| Pointer to kernel command line.
l4_uint64_t | mods_addr
| Module list.
l4_uint32_t | mods_count
| Number of modules.
l4_uint64_t | vbe_ctrl_info
| VESA video info, valid if one of vbe_ctrl_info or vbe_mode_info is not zero.
l4_uint64_t | vbe_mode_info
| VESA video mode info.

## Detailed Description

Base module structure.

Definition at line 36 of file l4mod.h.

## Field Documentation

## vbe_ctrl_info

l4_uint64_t l4util_l4mod_info::vbe_ctrl_info

VESA video info, valid if one of vbe_ctrl_info or vbe_mode_info is not zero.

VESA video controller info

Definition at line 48 of file l4mod.h.

The documentation for this struct was generated from the following file:

- l4/util/l4mod.h